## Core software

- [TensorFlow](https://www.tensorflow.org/overview): Framework for writing,
  training, and testing neural networks. You should at least work through the
  [first tutorial](https://www.tensorflow.org/tutorials/keras/basic_classification).
- [TensorFlow Privacy](https://github.com/tensorflow/privacy): Extensions to TF
  for differentially-private training.
- [CleverHans](https://github.com/tensorflow/cleverhans): Extensions to TF for
  adversarial attacks and defenses on ML models.
- [MPyC](https://github.com/lschoe/mpyc): Python libraries for Secure Multiparty
  Computation.

## Other tools

### Differential Privacy
- [DFuzz](https://github.com/ejgallego/dfuzz)
- [HOARe2](https://github.com/ejgallego/HOARe2)

### Cryptography
- [HELib](https://github.com/shaih/HElib)
- [Obliv-C](https://oblivc.org/)
- [ObliVM](http://oblivm.com/download.html)
